Mailinglist Archive: opensuse-buildservice (181 mails)

< Previous Next >
[opensuse-buildservice] Build errors I cannot resolve
  • From: Damien Carbery <daymobrew@xxxxxxxxx>
  • Date: Tue, 24 Jul 2007 09:05:05 -0700 (PDT)
  • Message-id: <20070724160505.96305.qmail@xxxxxxxxxxxxxxxxxxxxxxxxxxx>
I began using buildservice today.
I am trying to build the gnome-subtitles mono project. I can build it on OpenSuse 10.1. I am using SUSE_Linux_10.1 and openSUSE_10.2 repositories in i586 and x86_64 architectures.

My openSuSE builds fail during configure with:
  configure: error: gnome-doc-utils >= 0.3.2 not found
even though I have 'BuildRequires: gnome-doc-utils' in the spec file.

The SUSE_Linux_10.1 builds fail much later, even though they use the same source tarball and spec file.
scrollkeeper-update -p
/var/tmp/gnome-subtitles-0.6-build/var/lib/scrollkeeper -o
/var/tmp/gnome-subtitles-0.6-build/usr/share/omf/gnome-subtitles
Could not create directory /gnome-subtitles-0.6-build : Permission denied
Could not create database.  Aborting update.
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
Cannot write to log file: /var/log/scrollkeeper.log : Permission denied
make[2]: *** [install-doc-omf] Error 1

The command lines look right - all referring to $RPM_BUILD_ROOT (/var/tmp/gnome-subtitles-0.6-build).

Any ideas?
Does BuildRequires control the packages added to the chroot environment?

Damien




      ____________________________________________________________________________________
Fussy? Opinionated? Impossible to please? Perfect.  Join Yahoo!'s user panel and lay it on us. http://surveylink.yahoo.com/gmrs/yahoo_panel_invite.asp?a=7 ;

---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages